org.apache.ivy.osgi.core

## Class BundleInfo

- java.lang.Object
- - org.apache.ivy.osgi.core.BundleInfo

    public class BundleInfo
    extends java.lang.Object

Bundle info extracted from the bundle manifest.

### Field Summary

Fields
`static java.lang.String` `BUNDLE_TYPE`
`static Version` `DEFAULT_VERSION`
`static java.lang.String` `EXECUTION_ENVIRONMENT_TYPE`
`static java.lang.String` `PACKAGE_TYPE`
`static java.lang.String` `SERVICE_TYPE`

### Constructor Summary

Constructors
Constructor and Description
`BundleInfo(java.lang.String name, Version version)`

### Method Summary

Methods
`void` `addArtifact(BundleArtifact artifact)`
`void` `addCapability(BundleCapability capability)`
`void` `addExecutionEnvironment(java.lang.String name)`
`void` `addRequirement(BundleRequirement requirement)`
`boolean` `equals(java.lang.Object obj)`
`java.util.List<BundleArtifact>` `getArtifacts()`
`java.util.Set<BundleCapability>` `getCapabilities()`
`java.util.List<java.lang.String>` `getClasspath()`
`java.lang.String` `getDescription()`
`java.lang.String` `getDocumentation()`
`java.util.List<java.lang.String>` `getExecutionEnvironments()`
`java.util.Set<ExportPackage>` `getExports()`
`java.lang.String` `getId()`
`java.util.Set<BundleRequirement>` `getImports()`
`java.lang.String` `getLicense()`
`java.lang.String` `getPresentationName()`
`Version` `getRawVersion()`
`java.util.Set<BundleRequirement>` `getRequirements()`
`java.util.Set<BundleRequirement>` `getRequires()`
`java.util.Set<BundleCapability>` `getServices()`
`java.lang.Integer` `getSize()`
`java.lang.String` `getSymbolicName()`
`java.lang.String` `getSymbolicNameTarget()`
`Version` `getVersion()`
`Version` `getVersionTarget()`
`int` `hashCode()`
`boolean` `hasInnerClasspath()`
`boolean` `isSource()`
`void` `removeArtifact(BundleArtifact same)`
`void` `setClasspath(java.util.List<java.lang.String> classpath)`
`void` `setDescription(java.lang.String description)`
`void` `setDocumentation(java.lang.String documentation)`
`void` `setExecutionEnvironments(java.util.List<java.lang.String> executionEnvironments)`
`void` `setHasInnerClasspath(boolean hasInnerClasspath)`
`void` `setId(java.lang.String id)`
`void` `setLicense(java.lang.String license)`
`void` `setPresentationName(java.lang.String presentationName)`
`void` `setSize(java.lang.Integer size)`
`void` `setSource(boolean isSource)`
`void` `setSymbolicNameTarget(java.lang.String symbolicNameTarget)`
`void` `setVersionTarget(Version versionTarget)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### DEFAULT_VERSION

    public static final Version DEFAULT_VERSION

#### PACKAGE_TYPE

    public static final java.lang.String PACKAGE_TYPE

See Also:
  Constant Field Values

#### BUNDLE_TYPE

    public static final java.lang.String BUNDLE_TYPE

See Also:
  Constant Field Values

#### EXECUTION_ENVIRONMENT_TYPE

    public static final java.lang.String EXECUTION_ENVIRONMENT_TYPE

See Also:
  Constant Field Values

#### SERVICE_TYPE

    public static final java.lang.String SERVICE_TYPE

See Also:
  Constant Field Values

### Constructor Detail

#### BundleInfo

    public BundleInfo(java.lang.String name,
              Version version)

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### getSymbolicName

    public java.lang.String getSymbolicName()

#### getVersion

    public Version getVersion()

#### getRawVersion

    public Version getRawVersion()

#### setId

    public void setId(java.lang.String id)

#### getId

    public java.lang.String getId()

#### setPresentationName

    public void setPresentationName(java.lang.String presentationName)

#### getPresentationName

    public java.lang.String getPresentationName()

#### setDescription

    public void setDescription(java.lang.String description)

#### getDescription

    public java.lang.String getDescription()

#### setDocumentation

    public void setDocumentation(java.lang.String documentation)

#### getDocumentation

    public java.lang.String getDocumentation()

#### setLicense

    public void setLicense(java.lang.String license)

#### getLicense

    public java.lang.String getLicense()

#### setSize

    public void setSize(java.lang.Integer size)

#### getSize

    public java.lang.Integer getSize()

#### addRequirement

    public void addRequirement(BundleRequirement requirement)

#### getRequirements

    public java.util.Set<BundleRequirement> getRequirements()

#### addCapability

    public void addCapability(BundleCapability capability)

#### getCapabilities

    public java.util.Set<BundleCapability> getCapabilities()

#### getExecutionEnvironments

    public java.util.List<java.lang.String> getExecutionEnvironments()

#### setExecutionEnvironments

    public void setExecutionEnvironments(java.util.List<java.lang.String> executionEnvironments)

#### addExecutionEnvironment

    public void addExecutionEnvironment(java.lang.String name)

#### setSource

    public void setSource(boolean isSource)

#### isSource

    public boolean isSource()

#### setSymbolicNameTarget

    public void setSymbolicNameTarget(java.lang.String symbolicNameTarget)

#### getSymbolicNameTarget

    public java.lang.String getSymbolicNameTarget()

#### setVersionTarget

    public void setVersionTarget(Version versionTarget)

#### getVersionTarget

    public Version getVersionTarget()

#### setHasInnerClasspath

    public void setHasInnerClasspath(boolean hasInnerClasspath)

#### hasInnerClasspath

    public boolean hasInnerClasspath()

#### setClasspath

    public void setClasspath(java.util.List<java.lang.String> classpath)

#### getClasspath

    public java.util.List<java.lang.String> getClasspath()

#### addArtifact

    public void addArtifact(BundleArtifact artifact)

#### removeArtifact

    public void removeArtifact(BundleArtifact same)

#### getArtifacts

    public java.util.List<BundleArtifact> getArtifacts()

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### getRequires

    public java.util.Set<BundleRequirement> getRequires()

#### getImports

    public java.util.Set<BundleRequirement> getImports()

#### getExports

    public java.util.Set<ExportPackage> getExports()

#### getServices

    public java.util.Set<BundleCapability> getServices()